Skip to main content
GET
/
v1
/
identities
/
{identityId}
/
mailboxes
Get identity mailboxes
curl --request GET \
  --url https://openapi.enginy.ai/v1/identities/{identityId}/mailboxes \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "identityId": 123,
    "mailboxes": [
      {
        "id": 123,
        "identityId": 123,
        "email": "<string>",
        "provider": "google",
        "isPrimary": true,
        "emailCredentialsExpired": true,
        "healthStatus": "healthy",
        "warmup": {
          "enabled": true,
          "mailboxId": 123
        }
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

identityId
string
required

The identity ID whose mailboxes should be returned.

Response

Successful response with the identity mailboxes

status
enum<string>
required
Available options:
success
message
string
required
data
object
required